## org.hornetq.spi.core.remoting
Interface Acceptor

All Superinterfaces:
  org.hornetq.core.server.HornetQComponent

    public interface Acceptor

extends org.hornetq.core.server.HornetQComponent

An Acceptor is used by the Remoting Service to allow clients to connect. It should take care of dispatching client requests to the Remoting Service's Dispatcher.

Author:
  Andy Taylor, Tim Fox

Method Summary
`org.hornetq.core.server.cluster.ClusterConnection` `getClusterConnection()`
`Map<String,Object>` `getConfiguration()`
`void` `pause()` Pause the acceptor and stop it from receiving client requests.
`void` `setNotificationService(org.hornetq.core.server.management.NotificationService notificationService)` Set the notification service for this acceptor to use.

Methods inherited from interface org.hornetq.core.server.HornetQComponent
`isStarted, start, stop`

Method Detail

### pause

    void pause()

  Pause the acceptor and stop it from receiving client requests.

### getClusterConnection

    org.hornetq.core.server.cluster.ClusterConnection getClusterConnection()

  Returns:
    the cluster connection associated with this Acceptor

### getConfiguration

    Map<String,Object> getConfiguration()

### setNotificationService

    void setNotificationService(org.hornetq.core.server.management.NotificationService notificationService)

  Set the notification service for this acceptor to use.

  Parameters:
    `notificationService` - the notification service

Copyright © 2009 Red Hat Inc. All Rights Reserved.